# class Chef::Knife::Raw::RawInputServerAPI

### Public Class Methods

new(options = {}) click to toggle source
Calls superclass method Chef::HTTP.new

    # File lib/chef/knife/raw.rb, line 36
    def initialize(options = {})
      options[:client_name] ||= Chef::Config[:node_name]
      options[:signing_key_filename] ||= Chef::Config[:client_key]
      super(Chef::Config[:chef_server_url], options)
    end